Hatena::ブログ(Diary)

Debian GNU/Linux 3.1 on PowerMac G4 このページをアンテナに追加 RSSフィード Twitter

2011-07-08 Wordpress 3.2対応の為 Centosの phpを 5.3にする

[][]古い php のアンインストールと php 5.3 のインストール 12:36 古い php のアンインストールと php 5.3 のインストールを含むブックマーク 古い php のアンインストールと php 5.3 のインストールのブックマークコメント

まずはインストールされている php を yum でアンインストール。

[paraches@localhost ~]$ sudo yum remove php-*
<省略>
Removed:
  php.x86_64 0:5.1.6-27.el5_5.3         php-cli.x86_64 0:5.1.6-27.el5_5.3      
  php-common.x86_64 0:5.1.6-27.el5_5.3  php-mbstring.x86_64 0:5.1.6-27.el5_5.3 
  php-mysql.x86_64 0:5.1.6-27.el5_5.3   php-pdo.x86_64 0:5.1.6-27.el5_5.3      

Complete!
[paraches@localhost ~]$

6つのパッケージがアンインストールされた。


次に php 5.3 をインストール。これはパッケージ名が php53 になっている。

パッケージ名が php53 なパッケージはたくさんあって、実際に必用なのはどれなのかが良くわからないのでとりあえず php53 となっているパッケージは全部入れてしまう。

[paraches@localhost ~]$ sudo yum install php53-*
<省略>
Installed:
  php53.x86_64 0:5.3.3-1.el5_6.1                                                
  php53-bcmath.x86_64 0:5.3.3-1.el5_6.1                                         
  php53-cli.x86_64 0:5.3.3-1.el5_6.1                                            
  php53-common.x86_64 0:5.3.3-1.el5_6.1                                         
  php53-dba.x86_64 0:5.3.3-1.el5_6.1                                            
  php53-devel.x86_64 0:5.3.3-1.el5_6.1                                          
  php53-gd.x86_64 0:5.3.3-1.el5_6.1                                             
  php53-imap.x86_64 0:5.3.3-1.el5_6.1                                           
  php53-intl.x86_64 0:5.3.3-1.el5_6.1                                           
  php53-ldap.x86_64 0:5.3.3-1.el5_6.1                                           
  php53-mbstring.x86_64 0:5.3.3-1.el5_6.1                                       
  php53-mysql.x86_64 0:5.3.3-1.el5_6.1                                          
  php53-odbc.x86_64 0:5.3.3-1.el5_6.1                                           
  php53-pdo.x86_64 0:5.3.3-1.el5_6.1                                            
  php53-pgsql.x86_64 0:5.3.3-1.el5_6.1                                          
  php53-process.x86_64 0:5.3.3-1.el5_6.1                                        
  php53-pspell.x86_64 0:5.3.3-1.el5_6.1                                         
  php53-snmp.x86_64 0:5.3.3-1.el5_6.1                                           
  php53-soap.x86_64 0:5.3.3-1.el5_6.1                                           
  php53-xml.x86_64 0:5.3.3-1.el5_6.1                                            
  php53-xmlrpc.x86_64 0:5.3.3-1.el5_6.1                                         

Dependency Installed:
  libc-client.x86_64 0:2004g-2.2.1                                              

Complete!
[paraches@localhost ~]$ 

かな〜り色々なものがインストールされた!


念のためにバージョンの確認。

[paraches@localhost ~]$ php -v
PHP 5.3.3 (cli) (built: Mar 30 2011 13:51:54) 
Copyright (c) 1997-2010 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
[paraches@localhost ~]$

php のバージョンアップは完了。